<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>My Project: Dataflow::Node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceDataflow.html">Dataflow</a></li><li class="navelem"><a class="el" href="classDataflow_1_1Node.html">Node</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Dataflow::Node Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the base class for a node.  
 <a href="classDataflow_1_1Node.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Node_8h_source.html">Node.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Dataflow::Node:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classDataflow_1_1Node.png" usemap="#Dataflow::Node_map" alt=""/>
  <map id="Dataflow::Node_map" name="Dataflow::Node_map">
<area href="classDataflow_1_1NodeTest.html" alt="Dataflow::NodeTest" shape="rect" coords="0,56,120,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adc6da78268c9a63a6538351aecbe166c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc6da78268c9a63a6538351aecbe166c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Node</b> (std::size_t inputs, std::size_t outputs)</td></tr>
<tr class="memitem:a95f320767e442c4b4731cb4df6e49085"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95f320767e442c4b4731cb4df6e49085"></a>
<a class="el" href="classDataflow_1_1BaseInput.html">BaseInput</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>input</b> (std::size_t i) const </td></tr>
<tr class="memitem:a6c658026c2dcaf4a6d40157843ebf00b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c658026c2dcaf4a6d40157843ebf00b"></a>
<a class="el" href="classDataflow_1_1BaseOutput.html">BaseOutput</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>output</b> (std::size_t i) const </td></tr>
<tr class="memitem:a5fedf239162a136bd0463a3fedf56dff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fedf239162a136bd0463a3fedf56dff"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>setup</b> ()</td></tr>
<tr class="memitem:a8b92e6b25d5022666ae4e779e41fbe75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b92e6b25d5022666ae4e779e41fbe75"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>process</b> ()=0</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aa0eb031cdfa4bba77770b4f1de07ac5f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0eb031cdfa4bba77770b4f1de07ac5f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setInputType</b> (std::size_t pos, <a class="el" href="classDataflow_1_1BaseInput.html">BaseInput</a> *input)</td></tr>
<tr class="memitem:ab3b71648ea08828eeeaa629b23314af3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3b71648ea08828eeeaa629b23314af3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setOutputType</b> (std::size_t pos, <a class="el" href="classDataflow_1_1BaseOutput.html">BaseOutput</a> *output)</td></tr>
<tr class="memitem:a9e820c1adf1b56d76dc8a0f4773ece20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e820c1adf1b56d76dc8a0f4773ece20"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addInput</b> (<a class="el" href="classDataflow_1_1BaseInput.html">BaseInput</a> *input)</td></tr>
<tr class="memitem:ac61751c8b7b39421e22db42dca50643d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac61751c8b7b39421e22db42dca50643d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addOutput</b> (<a class="el" href="classDataflow_1_1BaseOutput.html">BaseOutput</a> *output)</td></tr>
</table>
<a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the base class for a node. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/admin/Documents/simulink/include/Dataflow/<a class="el" href="Node_8h_source.html">Node.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Dec 12 2015 10:00:16 for My Project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
